# vmware_host_ntp_facts – Gathers facts about NTP configuration on an ESXi host

New in version 2.7.

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Deprecated in favour of `_info` module.
Alternative: | Use vmware_host_ntp_info instead.

## Synopsis

- This module can be used to gather facts about NTP configurations on an ESXi host.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- PyVmomi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cluster_name string |  | Name of the cluster. NTP config facts about each ESXi server will be returned for the given cluster. If `esxi_hostname` is not given, this parameter is required.
esxi_hostname string |  | ESXi hostname. NTP config facts about this ESXi server will be returned. If `cluster_name` is not given, this parameter is required.
hostname string |  | The hostname or IP address of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead. Environment variable support added in Ansible 2.6.
password string |  | The password of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. Environment variable support added in Ansible 2.6. aliases: pass, pwd
port integer added in 2.5 | Default: 443 | The port number of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_PORT` will be used instead. Environment variable support added in Ansible 2.6.
proxy_host string added in 2.9 |  | Address of a proxy that will receive all HTTPS requests and relay them. The format is a hostname or a IP. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_HOST` will be used instead. This feature depends on a version of pyvmomi greater than v6.7.1.2018.12
proxy_port integer added in 2.9 |  | Port of the HTTP proxy that will receive all HTTPS requests and relay them. If the value is not specified in the task, the value of environment variable `VMWARE_PROXY_PORT` will be used instead.
username string |  | The username of the vSphere vCenter or ESXi server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. Environment variable support added in Ansible 2.6. aliases: admin, user

validate_certs
boolean

Choices:
- no
- yes ←

Allows connection when SSL certificates are not valid. Set to `false` when certificates are not trusted.
If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead.
Environment variable support added in Ansible 2.6.
If set to `yes`, please make sure Python >= 2.7.9 is installed on the given machine.

## Notes

Note

- Tested on vSphere 6.5

## Examples

    - name: Gather NTP facts about all ESXi Host in the given Cluster
      vmware_host_ntp_facts:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        cluster_name: cluster_name
      delegate_to: localhost
      register: cluster_host_ntp

    - name: Gather NTP facts about ESXi Host
      vmware_host_ntp_facts:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        esxi_hostname: '{{ esxi_hostname }}'
      delegate_to: localhost
      register: host_ntp

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
hosts_ntp_facts dictionary | hosts_ntp_facts | dict with hostname as key and dict with NTP facts as value Sample: {'10.76.33.226': [{'ntp_servers': [], 'time_zone_description': 'UTC', 'time_zone_gmt_offset': 0, 'time_zone_identifier': 'UTC', 'time_zone_name': 'UTC'}]}

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.